 Function Utf8toWStr(ByRef Ansistr As Const String) As String
   Dim bb As String  
   Dim Ll As Long = Len(Ansistr) * 4
   Dim Dwlen As Long
   bb = String(Ll, 0)  
   Dwlen = MultiByteToWideChar(Cp_utf8, 0, StrPtr(Ansistr), Len(Ansistr), Cast(LPWSTR, StrPtr(bb)), Ll)
     'Dwlen 是宽字符个数，不是字节数
    If Dwlen Then 
        Function = Left(bb, Dwlen * 2) 
    End If

End Function